# First class to be tested
class Calculator:
    def add(self, a, b):
        return a + b

    def subtract(self, a, b):
        return a - b

# Second class to be tested
class StringManipulator:
    def capitalize(self, string):
        return string.capitalize()

    def reverse(self, string):
        return string[::-1]

# Test functions for Calculator
class TestCalculator:
    def test_add(self):
        calc = Calculator()
        assert calc.add(2, 3) == 5

    def test_subtract(self):
        calc = Calculator()
        assert calc.subtract(5, 3) == 2

# Test functions for StringManipulator
class TestStringManipulator:
    def test_capitalize(self):
        manipulator = StringManipulator()
        assert manipulator.capitalize("hello") == "Hello"

    def test_reverse():
        manipulator = StringManipulator()
        assert manipulator.reverse("hello") == "olleh"